Commit 19639773 authored by Vitaly Lipatov's avatar Vitaly Lipatov

tune_sssd.sh: small fixes

parent d4b8e1a0
......@@ -10,8 +10,11 @@ fatal()
exit 1
}
epm -q etckeeper || fatal "Install etckeeper for /etc/ before"
[ -d /etc/.git ] || fatal "initialize /etc with etckeeper init"
if epm assure etckeeper ; then
[ -d /etc/.git ] || fatal "For first, initialize /etc with # etckeeper init"
else
echo "Can't install etckeeper, so skipping it"
fi
ADMIN=Administrator
if [ -n "$1" ] ; then
......@@ -44,6 +47,13 @@ case $(epm print info -d) in
;;
Fedora|RedOS|GosLinux|CentOS|RHEL)
epmi --skip installed krb5-workstation ldb-tools sssd-ad samba-common-tools
;;
*)
fatal "Unsupported distro $(epm print info -d)"
;;
esac
if [ -d /etc/krb5.conf.d/ ] ; then
cat <<EOF >/etc/krb5.conf.d/ad
[libdefaults]
dns_lookup_kdc = true
......@@ -52,11 +62,10 @@ cat <<EOF >/etc/krb5.conf.d/ad
EOF
# rdns disabled!
# See https://bugs.etersoft.ru/show_bug.cgi?id=15473#c13
;;
*)
fatal "Unsupported distro $(epm print info -d)"
;;
esac
else
echo "Can't set dns_lookup* in /etc/krb5.conf.d"
fi
if ! which subst 2>/dev/null ; then
subst()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment